# Understanding the CRM Concept

CRM is a technology for managing all your company´s relationships and interactions with existing customers and potential customers. For managing this information Coevera provides CRM users with different objects representation and relationships between them. Coevera calls the main objects **Entities.**&#x20;

### **Entities**

Entities help to map company sales business processes in the CRM. In Coevera, there exist following Entities

![Entities management inside Coevera Application](/files/8nPWt1Rzni377FatOylW)

### Main Entities

* **Accounts** *(*[***Endpoints:***](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNTk4OTA-accounts-list) *{{baseURL}}/entities/Accounts)*
  * accounts stores Company information (industry, company size, contacts). See how to create [**an Account**](/api-docs/tutorials-and-articles/create-account.md)
* **Contacts** *(*[***Endpoints:*** ](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNjAxMTA-contacts-list)*{{baseURL}}/entities/Contacts)*
  * contacts refer to people who have a relation to a specific Account.  See how to create [**a Contact**](/api-docs/tutorials-and-articles/create-contact.md)
* **Opportunities** *(*[***Endpoints:***](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNjA0ODY-opportunities-list) *{{baseURL}}/entities/Opportunities)*
  * represents existing or potential business revenue with Contact or Account. Opportunities have to move through several stages in Pipeline. See how to create [**an** **Opportunity**](/api-docs/tutorials-and-articles/create-opportunity.md)
* **Leads** ([**Endpoints:**](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNjAzNjM-leads-list) *{{baseURL}}/entities/Leads*)
  * represents the potential business to your company
* **Activities**&#x20;
  * Represents Tasks and Appointments together. Tasks are one-time activities that usually don´t have duration. We can refer to Appointments as meeting with duration.
    * **Appointments** *(Endpoint: {{baseURL}}/entities/Appointments)*
    * **Tasks:** *(Endpoint: {{baseURL}}/entities/Tasks)*
* **Products** *(*[***Endpoints***](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNjA1OTg-products-list)*: {{baseURL}}/entities/Products)*
  * Represents physical items that your sales team is selling. See how to create [**Products**](/api-docs/tutorials-and-articles/create-product-product-line-item.md)
* **Product Line Items** *(*[***Endpoints:*** ](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNjA1MDA-oppty-product-relations-list)*{{baseURL}}/entities/OpptyProductRelations)*
  * *Represents product that is being currently sold by your sales team. Product Line items are direct connections between Opportunity and Physical Product. See how to work with* [***Product Line items***](/api-docs/tutorials-and-articles/create-product-product-line-item.md)

### **Other data**

* **Notes**
* **Documents** *(*[***Endpoints**:*](https://pipeliner.stoplight.io/docs/api-docs/b3A6MjAzNjAwNzU-cloud-objects-list) *{{baseURL}}/entities/*&#x43;loudObject&#x73;*)*
* **Messages**

{% hint style="info" %}
To get **{{baseURL}}** read [**About the API**](/api-docs/overview/about-the-api.md)
{% endhint %}

### Creating Relations between entities

Entities in the CRM are **linked between themselves** with relations. Take a look at the **entity-relationship diagram** to understand the connections that can exist.

![](/files/DNd79JlPXj2CdDcad2NT)

### Fields

Fields represent a property of Entity where end-users(salespeople) store information like (Name, Opportunity Value, Industry...). Coevera works with **System Fields** (defined by the Coevera system) and **Custom Fields** (defined by business people). Learn more about [**working with fields**](/api-docs/core-api-concepts/fields.md)**.**

### Users & Roles & Sales units (Accessing Records)

Users, roles, sales units determine what users can see inside the Coevera application. At the top of the hierarchy is the Role, which includes 0..N users. Those Users can be part of the N Sales Units. To understand how **roles**, **users,** **sales unit** works [**read this article**](https://help.pipelinersales.com/en/articles/2706463-managing-user-roles)**.**

![](/files/SLNscRQQIdGZSPmNIYqK)

#### **Role**

*Api name: **master\_right***

Users are part of the Role. Users can be assigned only to one Role. The role determines what data, features the User can access.

Example of Roles: *Standard Users, Administrators, Salespeople*

{% openapi src="/files/483oBiKgEGR3bPMLT8VK" path="/entities/MasterRights" method="get" %}
[openapi (1).json](https://3470708952-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FFpjbhrh1xo0SPAbAc7Ny%2Fuploads%2FOlNVdYj1h5GSxQmLHAjz%2Fopenapi%20\(1\).json?alt=media\&token=4be07353-5170-4a95-9100-4f16545d47b0)
{% endopenapi %}

#### **User**

*Api name: **c*****lient**

Users are real people who have access to the Coevera space. Users usually get a direct invitation to the space from the space admin. The user unique identification is *email\_address.*&#x20;

Users can be assigned to the Entity Records. Users who are assigned to the records are called **Owners.** Owners are required on the majority of entities. Only Leads and Activities can be unassigned (without an Owner).&#x20;

{% hint style="info" %}
Every user has a **default\_unit** attribute. You can use this attribute when creating records in Coevera.&#x20;
{% endhint %}

{% openapi src="/files/483oBiKgEGR3bPMLT8VK" path="/entities/Clients" method="get" %}
[openapi (1).json](https://3470708952-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FFpjbhrh1xo0SPAbAc7Ny%2Fuploads%2FOlNVdYj1h5GSxQmLHAjz%2Fopenapi%20\(1\).json?alt=media\&token=4be07353-5170-4a95-9100-4f16545d47b0)
{% endopenapi %}

#### **Sales Unit**

*Api name:* **unit**

Sales units from a business point of view are groups of users with similar traits. Sales units works in the hierarchy. Coevera admin defines this hierarchy based on the business requirements. Sales units can refer to territory, team, business unit.

Example of Sales units: Canada, Europe -> UK, Germany, France

![](/files/plsUe1MreDlsJuo41eld)

{% hint style="info" %}
Every Entity has to be connected with the Sales Unit. Even when the record is Unassigned. It is recommended to use the Client (User) default sales Unit.
{% endhint %}

**System Sales Unit**

The `Company`sales Unit is System Sales Unit. It is always at the top of the hierarchy and you can always assign entity records to this Sales Unit. Company Sales Unit has always attribute `parent:`**`null`**

```json
{
            "is_delete_protected": false,
            "id": "ea33e8fb-9a56-4802-a175-2d1f406af7cf",
            "is_deleted": false,
            "modified": "2019-02-01 13:17:03.495636+00:00",
            "created": "2019-01-30 11:06:54.115137+00:00",
            "parent": null,
            "picture": "https://us-east.coevera.com/api/v100/rest/spaces/nv3_PipelinerDev/entities/CloudObjects/74cc1d77-11d7-455d-9c32-39065f269e1b",
            "name": "Company ",
            "parent_id": null,
            "picture_id": "74cc1d77-11d7-455d-9c32-39065f269e1b",
            "revision": 816
        }
```

{% openapi src="/files/483oBiKgEGR3bPMLT8VK" path="/entities/SalesUnits" method="get" %}
[openapi (1).json](https://3470708952-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FFpjbhrh1xo0SPAbAc7Ny%2Fuploads%2FOlNVdYj1h5GSxQmLHAjz%2Fopenapi%20\(1\).json?alt=media\&token=4be07353-5170-4a95-9100-4f16545d47b0)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.pipelinersales.com/api-docs/core-api-concepts/understanding-the-crm-concept.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
